Subject: Re: bug#1973: Bug in simple.el (Emacs version 22.2.1)

From: Sebastian Tennant <[email-masked]>
Date: Fri, 23 Jan 2009 10:46:18 +0000

Quoth "Stefan Monnier" <[email-masked]>:
>> So Shell mode (in buffer *shell* for instance) is actually Comint mode
>> masquerading as Shell mode
>
> More specifically, shell-mode is a mode derived from comint-mode
> (i.e. a submode).
>
>> whereas buffer *Async Command Output* is
>> plain Shell mode, not masquerading as anything?
>
> I guess it's using shell-mode, but somehow fails to setup the process's
> output filter?

Now you're making it sound like a bug, just as I'm starting to accept
that it's a misfeature :)

>>>> Note that Kevin Rodgers does not observe the same behaviour:
>>>> http://article.gmane.org/gmane.emacs.bugs/24348
>>> I'm not sure what he's referring to.
>> His *Async Command Output* buffer does _not_ display ^M chars when he
>> issues calls to shell-command with arguments ending "&".
>
> I don't know how you reach that conclusion.  It's a possible
> interpretation, but it's definitely not the only one.

You're right, it's not clear what he means.

I started a thread on gmane.emacs.help to clear this up once and for
all:

 http://article.gmane.org/gmane.emacs.help/61581

Only one respondent so far, but that's enough to convince me that it's a
misfeature and not a bug, so perhaps we should mark 1973 as done/closed
(I'd do this myself but I don't know how).

The question for me now is how to make buffer *Async Command Output*
behave like buffer *shell*, an odd thing to be doing given that they are
both in Shell mode!

Sebastian
-- 
Emacs' AlsaPlayer - Music Without Jolts
Lightweight, full-featured and mindful of your idyllic happiness.
http://home.gna.org/eap